MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023340Community[OCCT] OCCT:Data Exchangepublic2012-07-20 18:532012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023340: The values of different enum types are compared: switch(ENUM_TYPE_A) { case ENUM_TYPE_B: ... }. StepToTopoDS.cxx
DescriptionIn line 91 the enum value 'StepToTopoDS_BuilderOther' comes from the enum 'StepToTopoDS_BuilderError' and not from 'StepToTopoDS_TranslateEdgeError' as expected.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021099)
Pawel (developer)
2012-07-20 18:56

Corresponding git branch pushed. Please review.
(0021105)
abv (manager)
2012-07-23 13:48

No remarks, please test
(0021134)
apn (administrator)
2012-07-24 11:45

Dear BugMaster,
The workbenches
KAS:dev:apn-23340-occt (GIT branch CR23340)
KAS:dev:apn-23340-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/apn-23340-products_23072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 8d3d66d6
Timestamp: 2012-07-20 14:56:01
Author: Pawel
Details ] Diff ]
0023340: The values of different enum types are compared: switch(ENUM_TYPE_A) { case ENUM_TYPE_B: ... }. StepToTopoDS.cxx

Corrected the used enumeration type.
mod - src/StepToTopoDS/StepToTopoDS.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-20 18:53 Pawel New Issue
2012-07-20 18:53 Pawel Assigned To => Pawel
2012-07-20 18:56 Pawel Note Added: 0021099
2012-07-20 18:56 Pawel Assigned To Pawel => bugmaster
2012-07-20 18:56 Pawel Status new => resolved
2012-07-20 18:56 Pawel Target Version Unscheduled => 6.5.4
2012-07-23 13:48 abv Note Added: 0021105
2012-07-23 13:48 abv Status resolved => reviewed
2012-07-24 11:45 apn Note Added: 0021134
2012-07-24 11:46 apn Test case number => Not needed
2012-07-24 11:46 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master 8d3d66d6
2012-07-30 16:33 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:33 Pawel Status tested => verified
2012-07-30 16:33 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker